      INTEGER MDATA
      PARAMETER (MDATA=32768)
      INTEGER MX_SEC,GEN_SEC,POS_SEC,SPEC_SEC,BASE_SEC,ORIG_SEC
      INTEGER PLOT_SEC,FSW_SEC,SWITCH_SEC,GAUS_SEC,CONT_SEC,SHELL_SEC
      INTEGER NH3_SEC,CAL_SEC,BEAM_SEC,COM_SEC,POINT_SEC,SKYDIP_SEC
      INTEGER XCOORD_SEC,ABS_SEC,DESCR_SEC
      PARAMETER (MX_SEC=64)        ! Maximum range of section number
      PARAMETER (COM_SEC=-1)       ! Comment
      PARAMETER (GEN_SEC=-2)       ! General
      PARAMETER (POS_SEC=-3)       ! Position
      PARAMETER (SPEC_SEC=-4)      ! Spectroscopy
      PARAMETER (BASE_SEC=-5)      ! Baseline
      PARAMETER (ORIG_SEC=-6)      ! Origin
      PARAMETER (PLOT_SEC=-7)      ! Plot parameters
      PARAMETER (SWITCH_SEC=-8)    ! Phase description
      PARAMETER (FSW_SEC=-8)       ! Alias for phase description
      PARAMETER (GAUS_SEC=-9)      ! Gauss fit
      PARAMETER (CONT_SEC=-10)     ! Drift Continuum section
      PARAMETER (BEAM_SEC=-11)     ! Beam Switch
      PARAMETER (SHELL_SEC=-12)    ! Shell fit
      PARAMETER (NH3_SEC=-13)      ! NH3 fit
      PARAMETER (ABS_SEC=-18)      ! Absorption fit
      PARAMETER (CAL_SEC=-14)      ! Calibration
      PARAMETER (POINT_SEC=-15)    ! Continuum fit results
      PARAMETER (SKYDIP_SEC=-16)   ! Skydip description
      PARAMETER (XCOORD_SEC=-17)   ! X coordinates
!
      PARAMETER (DESCR_SEC = -30)  !@ data descriptor section
!
      LOGICAL PRESEC(-MX_SEC:0)    ! Sections present
! index numbers of observation in memory. If 0 : no obs in memory,
! if -1 : an obs in memory that  was not read in a file.
! knext : pointer to the next index entry to consider
      INTEGER*4 RXNUM,TXNUM,KNEXT,NINDEX, M_HEADER, M_DH
!
      COMMON /RSCAN/ PRESEC,RXNUM,TXNUM,KNEXT,NINDEX, M_HEADER, M_DH
      SAVE /RSCAN/
